using Microsoft.Maui;

namespace Qwirkle.Views;

public partial class ButtonShadow : ContentView
{
	public ButtonShadow()
	{
		InitializeComponent();
	}

    public static readonly BindableProperty TextProperty =
    BindableProperty.Create("Text", typeof(string), typeof(Button), "none");

    public string Text
    {
        get => (string)GetValue(TextProperty);
        set => SetValue(TextProperty, value);
    }

    public event EventHandler? InfoClicked;

    void OnInfoClicked(object sender, EventArgs args)
    {
        InfoClicked?.Invoke(this, args);
    }
}